Bug 966888 - cloud.cfg is missing the growpart module
Summary: cloud.cfg is missing the growpart module
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cloud-init
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Garrett Holmstrom
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-24 08:25 UTC by Juerg Haefliger
Modified: 2013-10-18 19:54 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-10-18 19:54:41 UTC


Attachments (Terms of Use)

Description Juerg Haefliger 2013-05-24 08:25:57 UTC
cloud-init now supports resizing of mounted partitions for newer kernels. The cloud-init config cloud.cfg file should list that module (which is a noop for systems that don't support resizing of mounted partitions).

I.e.:

cloud_init_modules:
 - bootcmd
 - write-files
+ - growpart
 - resizefs
 - set_hostname
 - update_hostname
 - update_etc_hosts
 - rsyslog
 - users-groups
 - ssh

Comment 1 Matthew Miller 2013-06-21 00:00:12 UTC
I put a workaround into the cloud-kickstart for this for f19.

Comment 2 Fedora Update System 2013-09-25 02:41:49 UTC
cloud-init-0.7.2-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cloud-init-0.7.2-6.fc20

Comment 3 Fedora Update System 2013-09-25 02:43:08 UTC
cloud-init-0.7.2-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cloud-init-0.7.2-6.fc19

Comment 4 Fedora Update System 2013-09-27 00:44:38 UTC
Package cloud-init-0.7.2-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cloud-init-0.7.2-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17724/cloud-init-0.7.2-7.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-09-27 01:20:06 UTC
cloud-init-0.7.2-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cloud-init-0.7.2-7.fc18

Comment 6 Fedora Update System 2013-10-15 06:28:53 UTC
cloud-init-0.7.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-10-18 19:46:26 UTC
cloud-init-0.7.2-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-10-18 19:54:41 UTC
cloud-init-0.7.2-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.